#ifndef _NF_CONNTRACK_IRC_H
#define _NF_CONNTRACK_IRC_H

#ifdef __KERNEL__

#define IRC_PORT	6667

typedef unsigned int (*nf_nat_helper_irc_hook)(struct sk_buff **pskb,
				       enum ip_conntrack_info ctinfo,
				       unsigned int matchoff,
				       unsigned int matchlen,
				       struct nf_conntrack_expect *exp);
extern nf_nat_helper_irc_hook nf_nat_irc_hook;
#ifdef CONFIG_VE
#include <linux/sched.h>
#define ve_nf_nat_irc_hook \
	(get_exec_env()->_ip_conntrack->_nf_nat_irc_hook)
#else
#define ve_nf_nat_irc_hook	nf_nat_irc_hook
#endif

#endif /* __KERNEL__ */
#endif /* _NF_CONNTRACK_IRC_H */
